@import '../../../assets/styles/common';

.register {
  &__btn {
    &-container {
      position: relative;
      text-align: center;
    }

    &-txt {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }
  }

  &__textlink {
    padding-bottom: 3rem;
    font-size: 1.3rem;
  }

  &__blue {
    color: $blue-light;
  }

  &-error {
    width: 350px;
    height: 2rem;
  }

  &-link {
    padding-left: 5px;
    text-decoration: underline;
    cursor: pointer;
  }

  &-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    margin-top: 2rem;

    &__gologin {
      padding-left: 5px;
      font-style: italic;
      text-decoration: underline;
      cursor: pointer;
    }
  }

  &__apiTxt {
    &--success {
      margin-top: 1.5rem;
      color: $green;
    }

    &--error {
      display: flex;
      justify-content: center;
      margin-bottom: 2rem;
      color: $red;
    }
  }

  &-input::after {
    content: ' *';
    display:inline;
    position: absolute;
    top: 24px;
    left: 430px;
    transform: scale(2);
    color: $red;
    size: 10px;
  }

  &-checkbox::after {
    content: ' *';
    transform: scale(2);
    color: $red;
    size: 10px;
  }

  &__required-asterisk {
    vertical-align: sub;
    font-size: 15px;
    color: $red;
  }

  &__requiredTxt {
    font-size: 10px;
  }

  @media only screen and (max-width: 1400px) {
    &-form {
      margin-top: 0;

      span:empty {
        display: none;
      }
    }

    &-input {
      margin-top: 1.6rem;
      margin-bottom: 0.8rem;

      &::after {
        top:2.5rem;
        right: -1.8rem;
        left:unset;
        font-size: 1.7rem;
      }
    }

    &-checkbox::after {
      font-size: 1.7rem;
    }

    &__requiredTxt {
      font-size: 1.6rem;
    }

    &-links {
      .login-txt-link {
        margin-top: .5rem;
        margin-bottom: .5rem;
        font-size: 1.5rem;
      }

      .register__textlink {
        padding-bottom: 1rem;
        font-size: 1.8rem;
      }
    }
  }

  &__btn-container {
    img {
      height: 6rem;
    }
  }
}

.login-txt-link {
  display: flex;
  justify-content: center;
  margin-top: 2.5rem;
  margin-bottom: 1.2rem;
}
